# {%= name %} {%= badge("fury") %}

> {%= description %}

## Install
{%= include("install-npm", {save: true}) %}
{%= include("install-bower", {save: true}) %}

## Run tests

```bash
npm test
```

## Usage

A callback function is executed once for each own enumerable property in the object, receiving four arguments:

  - `acc`: the initial value (or value from the previous callback call),
  - `value`: the of the current property,
  - `key`: the of the current property, and
  - the original `object` over which the function is iterating.

**Example**

```js
var reduce = require('reduce-object');
var a = {a: 'foo', b: 'bar', c: 'baz'};

reduce(a, function (acc, value, key, obj) {
  acc[key] = value.toUpperCase();
  return acc;
}, {});

//=> {a: 'FOO', b: 'BAR', c: 'BAZ'};
```

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}